
#ifndef TFT01_Graph16_h
#define TFT01_Graph16_h
#endif

#define LEFT 0
#define RIGHT 9999
#define CENTER 9998

#define PORTRAIT 0
#define LANDSCAPE 1

#define FONT_SMALL 1
#define FONT_LARGE 2

#define ASPECT_4x3	0
#define ASPECT_16x9	1

void InitLCD(unsigned char orientation,unsigned char aspect);
void clrScr(void);
void drawPixel(int x, int y);
void drawLine(int x1, int y1, int x2, int y2);
void fillScr(unsigned char r, unsigned char g, unsigned char b);
void drawRect(int x1, int y1, int x2, int y2);
void drawRoundRect(int x1, int y1, int x2, int y2);
void fillRect(int x1, int y1, int x2, int y2);
void fillRoundRect(int x1, int y1, int x2, int y2);
void drawCircle(int x, int y, int radius);
void fillCircle(int x, int y, int radius);
void setColor(unsigned char r, unsigned char g, unsigned char b);
void setBackColor(unsigned char r, unsigned char g, unsigned char b);
void printChar(unsigned char c, int x, int y);
void print(char *st, int x, int y, int deg);
void printNumI(long num, int x, int y);
void fontSize(unsigned char size);
void delay(unsigned int j);

